VERSION 5.00
Begin VB.Form frmFilter 
   Caption         =   "Filter"
   ClientHeight    =   5625
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4770
   LinkTopic       =   "Form1"
   ScaleHeight     =   5625
   ScaleWidth      =   4770
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkDelimit 
      Caption         =   "Delimiter"
      Height          =   255
      Left            =   345
      TabIndex        =   9
      Top             =   2940
      Width           =   1800
   End
   Begin VB.CommandButton CmdJoin 
      Caption         =   "Join"
      Height          =   495
      Left            =   2550
      TabIndex        =   8
      Top             =   1665
      Width           =   1410
   End
   Begin VB.CommandButton cmdList 
      Caption         =   "Load Listbox"
      Height          =   495
      Left            =   555
      TabIndex        =   7
      Top             =   1680
      Width           =   1410
   End
   Begin VB.CommandButton cmdLoad 
      Caption         =   "Read File"
      Height          =   495
      Left            =   495
      TabIndex        =   6
      Top             =   885
      Width           =   1410
   End
   Begin VB.TextBox txtDir 
      Height          =   345
      Left            =   450
      TabIndex        =   5
      Top             =   360
      Width           =   3975
   End
   Begin VB.TextBox txtFilter 
      Height          =   345
      Left            =   2505
      TabIndex        =   4
      Top             =   2940
      Width           =   945
   End
   Begin VB.TextBox txtList 
      Height          =   390
      Left            =   345
      TabIndex        =   3
      Top             =   2430
      Width           =   4095
   End
   Begin VB.ListBox lstFilter 
      Height          =   2010
      ItemData        =   "filter.frx":0000
      Left            =   2475
      List            =   "filter.frx":0007
      TabIndex        =   2
      Top             =   3405
      Width           =   2010
   End
   Begin VB.ListBox lstFull 
      Height          =   2010
      ItemData        =   "filter.frx":0016
      Left            =   285
      List            =   "filter.frx":001D
      TabIndex        =   1
      Top             =   3405
      Width           =   2010
   End
   Begin VB.CommandButton CmdFilter 
      Caption         =   "Filter"
      Height          =   495
      Left            =   2535
      TabIndex        =   0
      Top             =   885
      Width           =   1410
   End
End
Attribute VB_Name = "frmFilter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public strModems As String
Public varFull As Variant
Public varFilter As Variant

Public Sub Form_Load()
  'When the form is loaded display the current path
  ' and the file name.  Clear the two ListBoxes
  txtDir.Text = CurDir & "\MODEM.TXT"
  lstFull.Clear
  lstFilter.Clear
End Sub

Private Sub cmdLoad_Click()
Dim intFile As Integer
' Find the next free File handle
intFile = FreeFile
  ' Open the modem file for input and then read
  ' the first and only row into Public strModem
  Open CurDir & "\MODEM.TXT" For Input As #intFile
  Input #intFile, strModems
  Close #intFile
  'Display the String in the TextBox
  txtList.Text = strModems
End Sub

Private Sub cmdList_Click()
Dim intRecCnt As Integer
Dim intCntr As Integer

'Check if the String is to be split with the default
'delimiter.
If chkDelimit.Value Then
   'If checked use the value in the txtFilter
   'TextBox and limit the number of elements to 6
   varFull = Split(strModems, txtFilter.Text, 6)
Else
   'if not Checked use the default values for Split()
   varFull = Split(strModems)
End If

'Determine the number of elements in the array
intRecCnt = UBound(varFull)

lstFull.Clear
'Add Elements to ListBox for each element in array
For intCntr = 0 To intRecCnt
    lstFull.AddItem varFull(intCntr)
Next intCntr

Refresh
End Sub

Private Sub CmdFilter_Click()
Dim intRecCnt As Integer
Dim intCntr As Integer

'Create the Filtered array from the Full array
varFilter = Filter(varFull, txtFilter.Text)

'Determine the number of elements in the array
intRecCnt = UBound(varFilter)

lstFilter.Clear
'Add Elements to ListBox for each element in array
For intCntr = 0 To intRecCnt
    lstFilter.AddItem varFilter(intCntr)
Next intCntr

Refresh
End Sub

Private Sub CmdJoin_Click()
Dim intRecCnt As Integer
Dim intCntr As Integer

'Check if the Join will use the default delimiter
If chkDelimit.Value Then
   'If checked use the value in the txtFilter
   'TextBox to seperate the Sub-strings
   txtList.Text = Join(varFilter, txtFilter.Text)
Else
   'if not Checked use the default values for Join()
   txtList.Text = Join(varFilter)
End If
Refresh
End Sub
