VERSION 5.00
Begin VB.Form frmGraphic 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "More Graphics"
   ClientHeight    =   6690
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5655
   Icon            =   "frmGraphic.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6690
   ScaleWidth      =   5655
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdEnlage 
      Caption         =   "Click to Enlarge Graphic"
      Height          =   495
      Left            =   1380
      TabIndex        =   10
      Top             =   6000
      Width           =   2895
   End
   Begin VB.CommandButton cmdDistort 
      Caption         =   "Click to Distort Graphic"
      Height          =   495
      Left            =   1380
      TabIndex        =   9
      Top             =   5400
      Width           =   2895
   End
   Begin VB.OptionButton opList 
      Height          =   375
      Left            =   120
      TabIndex        =   8
      Top             =   1080
      Width           =   255
   End
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   600
      TabIndex        =   6
      Top             =   600
      Width           =   1575
   End
   Begin VB.OptionButton opIcon 
      Height          =   375
      Left            =   3840
      TabIndex        =   5
      Top             =   1560
      Width           =   255
   End
   Begin VB.OptionButton opBitmap 
      Height          =   375
      Left            =   3840
      TabIndex        =   4
      Top             =   720
      Value           =   -1  'True
      Width           =   255
   End
   Begin VB.PictureBox picIcon 
      AutoSize        =   -1  'True
      Height          =   540
      Left            =   4200
      Picture         =   "frmGraphic.frx":030A
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   3
      Top             =   1560
      Width           =   540
   End
   Begin VB.PictureBox picBitmap 
      Height          =   960
      Left            =   4200
      Picture         =   "frmGraphic.frx":0614
      ScaleHeight     =   900
      ScaleWidth      =   900
      TabIndex        =   2
      Top             =   480
      Width           =   960
   End
   Begin VB.CommandButton cmdAssign 
      Caption         =   "Click to Assign Graphic"
      Height          =   495
      Left            =   1380
      TabIndex        =   1
      Top             =   2400
      Width           =   2895
   End
   Begin VB.PictureBox picDisplay 
      AutoSize        =   -1  'True
      Height          =   855
      Left            =   2400
      ScaleHeight     =   795
      ScaleWidth      =   1035
      TabIndex        =   0
      Top             =   960
      Width           =   1095
   End
   Begin VB.Image imgDistort 
      BorderStyle     =   1  'Fixed Single
      Height          =   1935
      Left            =   1320
      Stretch         =   -1  'True
      Top             =   3240
      Width           =   3015
   End
   Begin VB.Label Label1 
      Caption         =   "Select a file from the list:"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   240
      Width           =   1935
   End
End
Attribute VB_Name = "frmGraphic"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub cmdAssign_Click()
    Dim strFilePath As String
    
    'Query bthe option buttons to see which one
    'has been checked.
    If opBitmap.Value = True Then
        'Show the bitmap graphic
        picDisplay.Picture = picBitmap.Picture
    ElseIf opIcon.Value = True Then
        'Show the icon graphic
        picDisplay.Picture = picIcon.Picture
    ElseIf opList.Value = True Then
        'Assign the exact path of the graphic in the file list box to
        'the the filepath string variable. Don't forget, to get the
        'string in a list box you must identify the listindex selected
        'with in a List Control's list array.
        strFilePath = File1.Path & "\" & File1.List(File1.ListIndex)
        'Load the picture from disk and assign it to the picture property
        'of the Picture control.
        picDisplay.Picture = LoadPicture(strFilePath)
    End If
End Sub

Private Sub cmdDistort_Click()
    imgDistort.Width = picDisplay.Width * 1.5
    imgDistort.Picture = picDisplay.Picture
End Sub

Private Sub cmdEnlage_Click()
    Dim dSizeRatio As Double
    'Figure out the ratio
    dSizeRatio = picDisplay.Width / picDisplay.Height
    'Apply the ratio to Image control's Height to
    'get the new Width
    imgDistort.Width = imgDistort.Height * dSizeRatio
    'Assign the imgae
    imgDistort.Picture = picDisplay.Picture
End Sub

Private Sub File1_Click()
    opList.Value = True
End Sub

Private Sub Form_Load()
    'Set the path of the FileListBox to be the
    'directory in which the application resides.
    File1.Path = App.Path
    
    'Make it so the FileListBox only displays
    'bitmap and icon files.
    File1.Pattern = "*.bmp;*.ico"
End Sub

Private Sub picBitmap_Click()
    opBitmap.Value = True
End Sub

Private Sub picIcon_Click()
    opIcon.Value = True
End Sub
