VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Make a Word Doc"
   ClientHeight    =   3270
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4605
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3270
   ScaleWidth      =   4605
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   495
      Left            =   3240
      TabIndex        =   2
      Top             =   2640
      Width           =   1215
   End
   Begin VB.TextBox txtMain 
      Height          =   1815
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   600
      Width           =   3975
   End
   Begin VB.CommandButton cmdWordApp 
      Caption         =   "Make a Word Application"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   2640
      Width           =   2055
   End
   Begin VB.Label lblMain 
      BackStyle       =   0  'Transparent
      Caption         =   "Text to enter into a Word Document:"
      Height          =   375
      Left            =   240
      TabIndex        =   3
      Top             =   240
      Width           =   3975
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdQuit_Click()
    End
End Sub

Private Sub cmdWordApp_Click()
'When the user clicks this button, s/he will open a Word doc,
'write a simple sentence, save the document to a file with a
'serialized naming convention, then close the document, and quit
'Word.

    Static i As Integer            'A serialization counter var.
                                   'It's static in order to keep
                                   'value between clicks.
                                   
    Dim strMsg As String           'A string buffer.
    Dim w As New Word.Application  'A Word application object.
    
    'You do not want the user to be clicking on the button while
    'the process is going on, so disable the button.
    cmdWordApp.Enabled = False
          
    'Make sure that the TextBox from which you are getting the
    'the string to write is not NULL
    If txtMain.Text = "" Then
        'Send and error message
        MsgBox "You cannot use a blank TextBox", vbCritical, _
            "Entry Error"
        'Set the mouse cursor to the TextBox
        txtMain.SetFocus
        'Enable the CommandButton
        cmdWordApp.Enabled = True
        'Leave town
        Exit Sub
    Else
        'Get the string that you want to write to the document
        'and store it in the string buffer variable.
        strMsg = txtMain.Text
    End If
     
    'Add a new document to the open Word application.
    w.Documents.Add
        
    'Write the string in the buffer into the new Word
    'document.
    w.Selection.TypeText (strMsg)
    
    'Change the directory to where you want to save this Word
    'document file to the same directory in which this VB app
    'is running.
    w.ChangeFileOpenDirectory (App.Path)
    
    'Save the this Word document to a filename using the convention
    'VBAsmpl0.doc, VBAsmpl1.doc, VBAsmpl2.doc, for example.
    w.ActiveDocument.SaveAs filename:="VBAsmpl_" & CStr(i) & ".doc", FileFormat:=wdFormatDocument, _
        LockComments:=False, Password:="", AddToRecentFiles:=True, WritePassword _
       :="", ReadOnlyRecommended:=False, EmbedTrueTypeFonts:=False, _
       SaveNativePictureFormat:=False, SaveFormsData:=False, SaveAsAOCELetter:= _
       False
      
    'Close this document that you just created. No need to
    'save the changes, you've just done this!
    w.ActiveDocument.Close SaveChanges:=wdDoNotSaveChanges
      
    'Close down the Word application
    w.Application.Quit
    
    'Release the object variable to which you set the
    'Word applicationnobject.
    Set w = Nothing
    
    'Send out a message to let the user know that the document
    'has been created.
    strMsg = "The document, " & "VBAsmpl_" & CStr(i) & ".doc" & vbCrLf
    strMsg = strMsg & "has be saved in the directory, " & App.Path & "."
    MsgBox strMsg
    
    'Turn the button back on
    cmdWordApp.Enabled = True
      
    'Increment the counter variable
    i = i + 1
       
    'Copyright 1998 Macmillian Publishing
    'Bob Reselman
End Sub
