VERSION 5.00
Begin VB.Form frmMove 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   2355
   ClientTop       =   5235
   ClientWidth     =   4800
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   4800
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdBottomRight 
      Caption         =   "Command4"
      Height          =   495
      Left            =   2880
      TabIndex        =   3
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CommandButton cmdBottomLeft 
      Caption         =   "Command3"
      Height          =   495
      Left            =   480
      TabIndex        =   2
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton cmdTopRight 
      Caption         =   "Command2"
      Height          =   495
      Left            =   3240
      TabIndex        =   1
      Top             =   360
      Width           =   1215
   End
   Begin VB.CommandButton cmdTopLeft 
      Caption         =   "Command1"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label lblNotify 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   495
      Left            =   1800
      TabIndex        =   4
      Top             =   1320
      Width           =   1215
   End
End
Attribute VB_Name = "frmMove"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()

    'Set the Caption property of the CommandButtons
    cmdTopLeft.Caption = "Top Left"
    cmdTopRight.Caption = "Top Right"
    cmdBottomLeft.Caption = "Bottom Left"
    cmdBottomRight.Caption = "Bottom Right"
    
    'Clear the initial text of the label
    lblNotify.Caption = ""
    
    'Set the form's title bar text
    frmMove.Caption = "MoveIt"
    
    'The rest of the code centers the form on the
    'screen, sets the position of the four
    'CommandButtons, and sets the size and
    'position of the label.
    
    'Center the form on the screen. This works by
    'setting the Left side of the form to the center
    'of the screen, less half the width of the form.
    'Also, the Top of the form is set to the center
    'of the screen, less half the height of the form.
    frmMove.Left = (Screen.Width - frmMove.Width) / 2
    frmMove.Top = (Screen.Height - frmMove.Height) / 2
    
    'Set the Left edge of the buttons. The 200 setting
    'for the left buttons sets a space between the edge
    'of the form and the buttons. The right buttons are
    'set by subtracting the width of the button from
    'the width of the form, and subtracting 300 to
    'set a space between the button and the form edge.
    cmdTopLeft.Left = 200
    cmdBottomLeft.Left = 200
    cmdTopRight.Left = frmMove.Width - cmdTopRight.Width - 300
    cmdBottomRight.Left = frmMove.Width - cmdBottomRight.Width - 300
    
    'Set the Top edge of the buttons. This is done
    'similar to setting the Left edge.
    cmdTopLeft.Top = 200
    cmdBottomLeft.Top = frmMove.Height - cmdBottomLeft.Height - 500
    cmdTopRight.Top = 200
    cmdBottomRight.Top = frmMove.Height - cmdBottomRight.Height - 500
    
    'Set the size of the label
    lblNotify.Height = 360
    lblNotify.Width = 3000
    
    'Center the label within the form. This is done
    'similar to centering the form.
    lblNotify.Left = (frmMove.Width - lblNotify.Width) / 2
    lblNotify.Top = (frmMove.Height - lblNotify.Height) / 2 - 200
    
End Sub
Private Sub cmdBottomLeft_Click()
    
    'Set the value of the form's TOP property
    'to the bottom of the screen but bring
    'it up the height of the screen so that the
    'bottom of the form is on the bottom of
    'the screen
    frmMove.Top = Screen.Height - frmMove.Height
    
    'Set the value of the form's LEFT property
    'to the left  most of the screen.
    frmMove.Left = 0
    
End Sub

Private Sub cmdBottomLeft_GotFocus()
    
    lblNotify.Caption = "cmdBottomLeft has the Focus"
    
End Sub


Private Sub cmdBottomRight_Click()
    
    'Set the value for the form's TOP property to
    'the bottom of the screen, but bring the TOP
    'up the HEIGHT of the form so that the bottom
    'of the form is on the bottom of the screen.
    frmMove.Top = Screen.Height - frmMove.Height
    
    'Set the value of the form's LEFT property to
    'the  right of the screen but bring it across
    'the screen, the width of the form so that the
    'right side of the form is on the right
    'side of the screen
    frmMove.Left = Screen.Width - frmMove.Width
    
End Sub

Private Sub cmdBottomRight_GotFocus()
    
    lblNotify.Caption = "cmdBottomRight has the Focus"
    
End Sub


Private Sub cmdTopLeft_Click()
    
    'Set the value of the form's TOP property
    'to the top of the screen.
    frmMove.Top = 0
    
    'Set the value of the form's LEFT property
    'to the left of the screen.
    frmMove.Left = 0
    
End Sub

Private Sub cmdTopLeft_GotFocus()
    
    lblNotify.Caption = "cmdTopLeft has the Focus"
    
End Sub


Private Sub cmdTopRight_Click()
    
    'Set the value of the form's TOP property
    'to the top of the screen.
    frmMove.Top = 0
    
    'Set the value of the form's LEFT property to
    'the right of the screen but bring it back across
    'the screen the width of the form, so that the
    'right side of the form is on the right
    'side of the screen
    frmMove.Left = Screen.Width - frmMove.Width
    
End Sub


Private Sub cmdTopRight_GotFocus()
    
    lblNotify.Caption = "cmdTopRight has the Focus"
    
End Sub



 
Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    lblNotify.Caption = "MouseDown Event"

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    lblNotify.Caption = "MouseUp Event"

End Sub



