VERSION 5.00
Begin VB.Form frmWallpaper 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Wallpaper Calculator"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6315
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3225
   ScaleWidth      =   6315
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtRollWidth 
      Height          =   495
      Left            =   1800
      TabIndex        =   3
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton cmdCalc 
      Caption         =   "Calculate"
      Height          =   495
      Left            =   4560
      TabIndex        =   6
      Top             =   2520
      Width           =   1215
   End
   Begin VB.TextBox txtRollCost 
      Height          =   495
      Left            =   4560
      TabIndex        =   5
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtPatMatch 
      Height          =   495
      Left            =   1800
      TabIndex        =   4
      Top             =   2520
      Width           =   1215
   End
   Begin VB.TextBox txtRollLength 
      Height          =   495
      Left            =   1800
      TabIndex        =   2
      Top             =   1320
      Width           =   1215
   End
   Begin VB.TextBox txtWallHeight 
      Height          =   495
      Left            =   1800
      TabIndex        =   1
      Top             =   720
      Width           =   1215
   End
   Begin VB.TextBox txtWallWidth 
      Height          =   495
      Left            =   1800
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label lblTotalCost 
      BackColor       =   &H0000FFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   495
      Left            =   4560
      TabIndex        =   18
      Top             =   1920
      Width           =   1215
   End
   Begin VB.Label Label9 
      Alignment       =   1  'Right Justify
      Caption         =   "Total Cost:"
      Height          =   255
      Left            =   3360
      TabIndex        =   17
      Top             =   1920
      Width           =   1095
   End
   Begin VB.Label Label8 
      Alignment       =   1  'Right Justify
      Caption         =   "Number of Rolls:"
      Height          =   255
      Left            =   3120
      TabIndex        =   16
      Top             =   1320
      Width           =   1335
   End
   Begin VB.Label Label7 
      Alignment       =   1  'Right Justify
      Caption         =   "Cut Length:"
      Height          =   255
      Left            =   3240
      TabIndex        =   15
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label Label6 
      Alignment       =   1  'Right Justify
      Caption         =   "Cost per Roll:"
      Height          =   255
      Left            =   3360
      TabIndex        =   14
      Top             =   120
      Width           =   1095
   End
   Begin VB.Label lblCutLen 
      BackColor       =   &H0000FFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   495
      Left            =   4560
      TabIndex        =   13
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label Label5 
      Alignment       =   1  'Right Justify
      Caption         =   "Pattern Match (in.)"
      Height          =   255
      Left            =   360
      TabIndex        =   12
      Top             =   2520
      Width           =   1335
   End
   Begin VB.Label Label4 
      Alignment       =   1  'Right Justify
      Caption         =   "Roll Width (in.)"
      Height          =   255
      Left            =   360
      TabIndex        =   11
      Top             =   1920
      Width           =   1335
   End
   Begin VB.Label lblNumRolls 
      BackColor       =   &H0000FFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   495
      Left            =   4560
      TabIndex        =   10
      Top             =   1320
      Width           =   1215
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "Roll Length (in.)"
      Height          =   255
      Left            =   360
      TabIndex        =   9
      Top             =   1320
      Width           =   1335
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Wall Height (in.):"
      Height          =   255
      Left            =   240
      TabIndex        =   8
      Top             =   720
      Width           =   1455
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Wall Width (in.):"
      Height          =   255
      Left            =   480
      TabIndex        =   7
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmWallpaper"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub cmdCalc_Click()
1:  Dim WallWidth%  'Width of walls to be covered
2:  Dim WallHeight% 'Height of walls to be covered
3:  Dim RollLength% 'Length of the wallpaper roll
4:  Dim RollWidth% 'Width of the wallpaper roll
5:  Dim PatternMatch%  'Amount of pattern match in inches
6:  Dim CutLength%  'Length of each piece
7:  Dim PiecePerRoll% 'Number of whole pieces per roll
8:  Dim NumofRoll%  'Number of rolls of wallpaper
9:  Dim dRollCost As Double  'Cost of wallpaper roll
10: Dim dProjectCost As Double 'Total project cost
11: Dim Msg$  'Message variable
       
'Make sure the txtWallWidth TextBox has not been left blank
12: If txtWallWidth.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
13:     If IsNumeric(txtWallWidth.Text) Then
14:         WallWidth% = CInt(txtWallWidth.Text)
15:     Else
            'It is not a number go back to the TextBox.
            'Make a message
16:         Msg$ = "Wall Width needs to be numeric. "
17:         Msg$ = Msg$ & "Please enter a number."
            'Display the message
18:         MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
19:         txtWallWidth.SetFocus
            'Leave the Sub
20:         Exit Sub
21:     End If
22: Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
23:     Msg$ = "You cannot leave Wall Width blank. "
24:     Msg$ = Msg$ & "Please enter a number."
        'Display the message
25:     MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
26:     txtWallWidth.SetFocus
        'Leave the Sub
27:     Exit Sub
28: End If
    
'Make sure the txtWallHeight TextBox has not been left blank
    If txtWallHeight.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
        If IsNumeric(txtWallHeight.Text) Then
            WallHeight% = CInt(txtWallHeight.Text)
         Else
            'It is not a number go back to the TextBox.
            'Make a message
            Msg$ = "Wall Height needs to be numeric. "
            Msg$ = Msg$ & "Please enter a number."
            'Display the message
            MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
            txtWallHeight.SetFocus
            'Leave the Sub
            Exit Sub
       End If
    Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
        Msg$ = "You cannot leave Wall Height blank. "
        Msg$ = Msg$ & "Please enter a number."
        'Display the message
        MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
        txtWallHeight.SetFocus
        'Leave the Sub
        Exit Sub
    End If
    
'Make sure the txtRollLength TextBox has not been left blank
    If txtRollLength.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
        If IsNumeric(txtRollLength.Text) Then
            RollLength% = CInt(txtRollLength.Text)
         Else
            'It is not a number go back to the TextBox.
            'Make a message
            Msg$ = "Roll Length needs to be numeric. "
            Msg$ = Msg$ & "Please enter a number."
            'Display the message
            MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
            txtRollLength.SetFocus
            'Leave the Sub
            Exit Sub
       End If
    Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
        Msg$ = "You cannot leave Roll Length blank. "
        Msg$ = Msg$ & "Please enter a number."
        'Display the message
        MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
        txtRollLength.SetFocus
        'Leave the Sub
        Exit Sub
    End If
    
'Make sure the txtRollWidth TextBox has not been left blank
    If txtWallWidth.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
        If IsNumeric(txtRollWidth.Text) Then
            RollWidth% = CInt(txtRollWidth.Text)
          Else
            'It is not a number go back to the TextBox.
            'Make a message
            Msg$ = "Roll Width needs to be numeric. "
            Msg$ = Msg$ & "Please enter a number."
            'Display the message
            MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
            txtRollWidth.SetFocus
            'Leave the Sub
            Exit Sub
      End If
    Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
        Msg$ = "You cannot leave Roll Width blank. "
        Msg$ = Msg$ & "Please enter a number."
        'Display the message
        MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
        txtRollWidth.SetFocus
        'Leave the Sub
        Exit Sub
    End If
    
'Make sure the txtPatMatch TextBox has not been left blank
    If txtPatMatch.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
        If IsNumeric(txtPatMatch.Text) Then
            PatternMatch% = CInt(txtPatMatch.Text)
         Else
            'It is not a number go back to the TextBox.
            'Make a message
            Msg$ = "Pattern Match needs to be numeric. "
            Msg$ = Msg$ & "Please enter a number."
            'Display the message
            MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
            txtPatMatch.SetFocus
            'Leave the Sub
            Exit Sub
       End If
    Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
        Msg$ = "You cannot leave Pattern Match blank. "
        Msg$ = Msg$ & "Please enter a number."
        'Display the message
        MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
        txtPatMatch.SetFocus
        'Leave the Sub
        Exit Sub
    End If
    
'Make sure the txtRollCost TextBox has not been left blank
    If txtRollCost.Text <> "" Then
        'Check to make sure the text is a numeral then
        'convert the text to the appropriate data type
        'and assign the numeric value to the variables
        If IsNumeric(txtRollCost.Text) Then
            dRollCost = CDbl(txtRollCost.Text)
          Else
            'It is not a number go back to the TextBox.
            'Make a message
            Msg$ = "Roll Cost needs to be numeric. "
            Msg$ = Msg$ & "Please enter a number."
            'Display the message
            MsgBox Msg$, vbExclamation, "Data entry error"
            'Send the mouse cursor back to the TextBox
            txtRollCost.SetFocus
            'Leave the Sub
            Exit Sub
      End If
    Else
        'If it is blank, send the cursor back to the
        'blank TextBox.
        'Make a message
        Msg$ = "You cannot leave Roll Cost blank. "
        Msg$ = Msg$ & "Please enter a number."
        'Display the message
        MsgBox Msg$, vbExclamation, "Data entry error"
        'Send the mouse cursor back to the TextBox
        txtRollCost.SetFocus
        'Leave the Sub
        Exit Sub
    End If
    
'Make sure PatternMatch% is greater than zero
29: If PatternMatch% > 0 Then
30:  CutLength% = (WallHeight% Mod PatternMatch%)
31:  CutLength% = ((WallHeight% - CutLength%) + PatternMatch%)
32: Else
33:    CutLength% = WallHeight%
34: End If
    
    'Make sure RollLength% is greater than zero
35: If CutLength% > 0 Then
36:     PiecePerRoll% = RollLength% \ CutLength%
37: Else
38:     PiecePerRoll% = RollLength%
39: End If
    
    'Make sure RollWidth% and PiecePerRoll% greater than zero
40: If RollWidth% > 0 And PiecePerRoll% > 0 Then
41:     NumofRoll% = (WallWidth% / RollWidth%) \ PiecePerRoll%
42: Else
43:     NumofRoll% = 0
44: End If
    
    'Calculate the project cost
45: dProjectCost = NumofRoll% * dRollCost
    
    'Display the results in the answer boxes
46: lblCutLen.Caption = CStr(CutLength%)
47: lblNumRolls.Caption = CStr(NumofRoll%)
48: lblTotalCost.Caption = CStr(dProjectCost)
End Sub









