VERSION 5.00
Begin VB.Form frmStrings 
   Caption         =   " String Manipulation"
   ClientHeight    =   3585
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3585
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdLower 
      Caption         =   "Use LCase()"
      Height          =   495
      Left            =   3360
      TabIndex        =   10
      Top             =   2880
      Width           =   1215
   End
   Begin VB.CommandButton cmdUpper 
      Caption         =   "Use UCase()"
      Height          =   495
      Left            =   3360
      TabIndex        =   9
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CommandButton cmdRight 
      Caption         =   "Use Right()"
      Height          =   495
      Left            =   1560
      TabIndex        =   8
      Top             =   2880
      Width           =   1215
   End
   Begin VB.CommandButton cmdLeft 
      Caption         =   "Use Left()"
      Height          =   495
      Left            =   240
      TabIndex        =   7
      Top             =   2880
      Width           =   1215
   End
   Begin VB.CommandButton cmdFindLen 
      Caption         =   "Find length of String"
      Height          =   495
      Left            =   1560
      TabIndex        =   6
      Top             =   2280
      Width           =   1695
   End
   Begin VB.CommandButton cmdFullName 
      Caption         =   "Make a Full Name"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   1680
      Width           =   1935
   End
   Begin VB.TextBox txtSecond 
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   120
      Width           =   1695
   End
   Begin VB.TextBox txtFirst 
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   120
      Width           =   1695
   End
   Begin VB.CommandButton cmdBerry 
      Caption         =   "Make a berry"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   2280
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "Result:"
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   600
      Width           =   1215
   End
   Begin VB.Label lblResult 
      BackColor       =   &H0000FFFF&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   360
      TabIndex        =   4
      Top             =   960
      Width           =   3495
   End
End
Attribute VB_Name = "frmStrings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdBerry_Click()
    Dim strMine As String
    Dim strYours As String
    Dim strResult As String
    
    strMine = "blue"
    strYours = "berry"
    strResult = strMine & strYours
    
    lblResult.Caption = strResult
End Sub

Private Sub cmdFindLen_Click()
    Dim strFind As String
    Dim intLen As Integer
    
    'Assign a string to find to the local variable
    strFind = txtFirst.Text
    
    'Find the length of the string
    intLen = Len(strFind)
    
    'Report the results
    lblResult.Caption = CStr(intLen)
End Sub

Private Sub cmdFullName_Click()
    Dim strFirst As String
    Dim strLast As String
    Dim strFull As String
   
    'Get the first name for the textbox
    strFirst = txtFirst.Text
    
    'Get the last name from another textbox
    strLast = txtSecond.Text
    
    'Concatenate the first and last name, putting
    'a space character between them.
    strFull = strFirst & " " & strLast
    
    'Display the Full Name
    lblResult.Caption = strFull

End Sub


Private Sub cmdLeft_Click()
    Dim intChrCnt As Integer  'Number of characters
    Dim strBuffer As String   'String buffer
    Dim strMyString As String 'String to truncate
    
    'Convert the numeral for the number of
    'characters to truncate to a number
    intChrCnt = CInt(txtSecond.Text)
    
    'Get the string to truncate
    strMyString = txtFirst.Text
    
    'Truncate the string using the Left() function
    strBuffer = Left(strMyString, intChrCnt)
    
    'Display the results
    lblResult.Caption = strBuffer
End Sub


Private Sub cmdRight_Click()
    Dim intChrCnt 'Number of characters to return
    Dim strBuffer  'string buffer
    Dim strMyString As String 'string to truncate
    
    'Convert the numeral for the number of
    'characters to truncate to a number
    intChrCnt = CInt(txtSecond.Text)
    
    'Get the string to truncate
    strMyString = txtFirst.Text
    
    'Truncate the string using the Right() function
    strBuffer = Right(strMyString, intChrCnt)
    
    'Display the results
    lblResult.Caption = strBuffer
End Sub


Private Sub cmdLower_Click()
    Dim strBuffer As String   'String buffer
    'Assign the characters in the first textbox
    'to the buffer variable
    strBuffer = txtFirst.Text
    
    'Set all the characters in the buffer to
    'lower case and display the result
    lblResult.Caption = LCase(strBuffer)
End Sub


Private Sub cmdUpper_Click()
    Dim strBuffer  'string buffer
    'Assign the characters in the first textbox
    'to the buffer variable
    strBuffer = txtFirst.Text
    
    'Set all the characters in the buffer to
    'upper case and display the result
    lblResult.Caption = UCase(strBuffer)
End Sub
