VERSION 5.00
Begin VB.Form frmAddIn 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Procedure with Code Header"
   ClientHeight    =   2625
   ClientLeft      =   2175
   ClientTop       =   1935
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2625
   ScaleWidth      =   6030
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtProc 
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   480
      Width           =   3015
   End
   Begin VB.Frame frScope 
      Caption         =   "Scope"
      Height          =   1335
      Left            =   2400
      TabIndex        =   2
      Top             =   960
      Width           =   2175
      Begin VB.OptionButton optPublic 
         Caption         =   "Public"
         Height          =   495
         Left            =   240
         TabIndex        =   8
         Top             =   720
         Width           =   1215
      End
      Begin VB.OptionButton optPrivate 
         Caption         =   "Private"
         Height          =   495
         Left            =   240
         TabIndex        =   7
         Top             =   240
         Value           =   -1  'True
         Width           =   1215
      End
   End
   Begin VB.Frame frProcedure 
      Caption         =   "Procedure"
      Height          =   1335
      Left            =   120
      TabIndex        =   1
      Top             =   960
      Width           =   2175
      Begin VB.OptionButton optFunc 
         Caption         =   "Function"
         Height          =   495
         Left            =   360
         TabIndex        =   6
         Top             =   720
         Width           =   1215
      End
      Begin VB.OptionButton optSub 
         Caption         =   "Sub"
         Height          =   495
         Left            =   360
         TabIndex        =   5
         Top             =   240
         Value           =   -1  'True
         Width           =   1215
      End
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   4
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Height          =   375
      Left            =   4680
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Procedure Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   120
      Width           =   1815
   End
End
Attribute VB_Name = "frmAddIn"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public VBInstance As VBIDE.VBE
Public Connect As Connect
Private Const HEADER_FILE = "header.txt"
Option Explicit

Private Sub CancelButton_Click()
    Connect.Hide
End Sub

Private Sub Form_Load()
    Me.Show
    txtProc.SetFocus
End Sub

Private Sub OKButton_Click()
    Dim strHeaderFile As String
    Dim strProcName As String
    Dim strProcType As String
    Dim strProcScope As String
    
    If txtProc.Text <> "" Then
        strProcName = txtProc.Text
    Else
        MsgBox "Please enter a valid procedure name", _
                vbCritical, "Invalid Data"
        'Leave Town
        txtProc.SetFocus
        Exit Sub
    End If
    
    If optSub Then
        strProcType = "Sub"
    Else
        strProcType = "Function"
    End If
    
    If optPrivate Then
        strProcScope = "Private"
    Else
        strProcScope = "Public"
    End If
                
    strHeaderFile = App.Path & "\" & HEADER_FILE
    
    
    If Not AddHeaderProc(strHeaderFile, _
                     strProcName, _
                     strProcType, _
                        strProcScope) Then
        MsgBox "Cannot create procedure", vbCritical, _
                    "Add-In Error"
    End If

    txtProc.Text = ""

    
End Sub

Public Function AddHeaderProc(strHeaderFile As String, _
                         strProcName As String, _
                         strProcType As String, _
                         strProcScope As String) As Boolean
'*************************************
'Function Name:AddHeaderProc

'
'
'strHeaderFile  The path and filename of the file has the
'               header template
'strProcName:   The name of the procedure to make
'
'strProcType:   The type of procedure, Sub or Function
'
'strProcScope:  The scope of he procedure, Private or Public
'
'Remarks:       If the function is successful, it returns
'               True. On an error, this function will return
'               a message box reporting the error number and
'               description. In addition, the function returns
'               False.
'History:
'
'
'
'Programmer: Bob Reselman
'Created: 6/14/98
'*************************************
    
    Dim cm As CodeModule            'Code Module Object var
    Dim cp As VBIDE.CodePane        'Code Pane Object var
    Dim strHeader As String         'Header string
    Dim strBuffer As String         'Buffer to concatenate into
    Dim strFileName As String       'Header template filename
    Dim strBorder As String         'Border characters
    Dim strProcDim As String        'Declaration statement
    Dim strCreated As String        'Created date statement
    Dim strFirstProcLine As String  'First line of the code header
    Dim strTemp As String           'Another string buffer
    Dim FileHandle As Integer       'File handle var
    
 On Error GoTo AddHeaderProcErr
    
    'Create an object variable for the code pane
    Set cp = VBInstance.ActiveCodePane
    
    'Create and object variable for the code module
    '!!!Remember, the code pane only shows lines of the
    'code module. The code module is where the actual
    'code lives!!!!!
    Set cm = cp.CodeModule
    
   'Start building the procedure declaration
    strProcDim = strProcScope & " " & strProcType & " "
    strProcDim = strProcDim & " " & strProcName & "()"
    strProcDim = strProcDim
    
    'Add the procedure declaration to the buffer
    strBuffer = strProcDim & vbCrLf
    
    'Add a top header border under the declaration
    strBorder = "'*************************************"
    strBuffer = strBuffer & strBorder & vbCrLf
    
    'Make the first line of the code header
    strFirstProcLine = "'" & strProcType & " Name:" & _
                            strProcName & vbCrLf
    
    'Add the first line to the string buffer
    strBuffer = strBuffer & strFirstProcLine
    
    'Get the header template filename
    strFileName = strHeaderFile
    FileHandle = FreeFile()
    
    'Open the file
    Open strFileName For Input As #FileHandle%
        
    'Make the mouse cursor an hourglass
    MousePointer = vbHourglass
    
    'Traverse the lines of the file
    Do While Not EOF(FileHandle%) ' Check for end of file.
        
        'Read a line of the file
        Line Input #FileHandle%, strTemp    ' Read line of data.
        
        'Add the line from the output buffer to the text string
        strHeader = strHeader & strTemp & vbCrLf
    Loop
    
    'Change the mousepointer back to the arrow
    MousePointer = vbDefault
    
    'Close the file once you have had your way with it
    Close #FileHandle%
    
    'Add the header file template to the string buffer
    strBuffer = strBuffer & strHeader
    
    'Create a date created line
    strCreated = "'Created: " & Date
    
    'Add the Created line to the string buffer
    strBuffer = strBuffer & strCreated & vbCrLf
    
    'Add a bottom border
    strBuffer = strBuffer & strBorder & vbCrLf & vbCrLf
    
    'Add the End statment for the end of the procedure
    strBuffer = strBuffer & "End " & strProcType
   
    'Insert the procedure and header into the code page
    Call cm.InsertLines(cm.CountOfLines + 1, strBuffer)
    
    'Hide the Add-In
    Connect.Hide
     
    'Set the top line of the pane to the last line
    cp.TopLine = cm.ProcStartLine(strProcName, vbext_pk_Proc)
    
    'Return a success value
    AddHeaderProc = True
    
    'Exit the function, things are good!
    Exit Function
AddHeaderProcErr:
    'If you get to this line, you have encountered an error
    Dim ErrMsg$
    'Make an error message
    ErrMsg$ = "[" & CStr(Err.Number) & "]: " & Err.Description
    'Display the error message
    MsgBox ErrMsg$, vbCritical, Err.Source
End Function
